AOMedia AV1 Codec: Data Fields - Variables

| AOMedia AV1 Codec

Here is a list of all documented variables with links to the struct/union documentation for each field:

### - i -

- id : aom_partition_features
- idx : av1_ref_frame, Av1DecodeReturn
- iface : aom_codec_ctx
- img : av1_ext_ref_frame, av1_ref_frame
- img_data : aom_image
- img_data_owner : aom_image
- inactive_zone_cols : FIRSTPASS_STATS
- inactive_zone_rows : FIRSTPASS_STATS
- index : ColorCount
- index_start : MB_RD_RECORD
- init_by_cfg_file : cfg_options
- init_flags : aom_codec_ctx
- initial_mbs : AV1_COMP
- insert_flag : aom_metadata
- inspect_cb : aom_inspect_init
- inspect_ctx : aom_inspect_init
- inter_compound_mode_cost : ModeCosts
- inter_cost : aom_sb_tpl_features
- inter_modes_info : macroblock
- inter_sf : SPEED_FEATURES
- inter_tx_size : MB_MODE_INFO, MB_RD_INFO
- inter_tx_type_costs : ModeCosts
- interinter_comp : COMP_RD_STATS, MB_MODE_INFO
- interintra_cost : ModeCosts
- interintra_mode : MB_MODE_INFO
- interintra_mode_cost : ModeCosts
- interintra_wedge_index : MB_MODE_INFO
- internal_altref_allowed : AV1_PRIMARY
- interp_filter : FeatureFlags
- interp_filter_search_mask : InterpSearchFlags
- interp_filters : MB_MODE_INFO
- interp_search_flags : AV1_COMP
- interp_sf : SPEED_FEATURES
- intervals_till_gf_calculate_due : RATE_CONTROL
- intra_cost : aom_sb_tpl_features
- intra_error : FIRSTPASS_STATS
- intra_inter_cost : ModeCosts
- intra_mt : MultiThreadInfo
- intra_row_mt_sync : AV1_PRIMARY
- intra_sb_rdmult_modifier : macroblock
- intra_sf : SPEED_FEATURES
- intra_skip_pct : FIRSTPASS_STATS
- intra_sync_read_ptr : AV1EncAllIntraMultiThreadInfo
- intra_sync_write_ptr : AV1EncAllIntraMultiThreadInfo
- intra_tx_type_costs : ModeCosts
- intra_uv_mode_cost : ModeCosts
- intrabc_cost : ModeCosts
- intrabc_extra_top_right_sb_delay : AV1EncRowMultiThreadSync
- intrabc_hash_info : macroblock
- intrabc_used : AV1_COMP
- is_annexb : aom_codec_stream_info
- is_chroma_ref : macroblockd
- is_dropped_frame : AV1_COMP
- is_final_decision : aom_partition_decision
- is_first_horizontal_rect : macroblockd
- is_flash : FIRSTPASS_STATS
- is_global : COMP_RD_STATS
- is_highbitdepth : TemporalFilterCtx
- is_key_frame : LAYER_CONTEXT
- is_kf : aom_codec_stream_info
- is_last_vertical_rect : macroblockd
- is_reduced_still_picture_hdr : aom_still_picture_info
- is_s_frame : aom_s_frame_info
- is_s_frame_at_altref : aom_s_frame_info
- is_sb_gradient_cached : macroblock
- is_screen_content_type : AV1_COMP
- is_still_picture : aom_still_picture_info
- is_temporal_filter_on : TEMPORAL_FILTER_INFO